升级Xcode插件失效解决方法

插件失效后会提示如下错误:

xcodebuild[3702:285602] [MT] PluginLoading: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for plug-in at path '~/Library/Application Support/Developer/Shared/Xcode/Plug-ins/RevealPlugin.xcplugin' not present in DVTPlugInCompatibilityUUIDs

解决方法:

步骤1.获取新版Xcode的UUID,

    方式一:在终端输入“defaults read /Applications/Xcode.app/Contents/Info DVTPlugInCompatibilityUUID”

  方式二:在应用程序-Xcode-右键显示包内容-info.plist里找到DVTPlugInCompatibilityUUID 对应的value,复制出来

步骤2. 打开目录~/Library/Application Support/Developer/Shared/Xcode/Plug-ins找到RevealPlugin.xcplugin

右键显示包内容,找到info.plist,找到DVTPlugInCompatibilityUUIDs,新增一项,把上面的UUID复制进去。


重新Build插件,关闭XCode,重新打开就会提示Load bundle了

选择Load bundle 即可获得插件

推荐阅读更多精彩内容